/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef ECCODES_ecbuild_config_h
#define ECCODES_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.8.2"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.8.2"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "C:/M/B/src/eccodes-2.33.0-Source/cmake"
#endif

/* config info */

#define ECCODES_OS_NAME          "Windows-10.0.20348"
#define ECCODES_OS_BITS          64
#define ECCODES_OS_BITS_STR      "64"
#define ECCODES_OS_STR           "windows.64"
#define ECCODES_OS_VERSION       "10.0.20348"
#define ECCODES_SYS_PROCESSOR    "AMD64"

#define ECCODES_BUILD_TIMESTAMP  ""
#define ECCODES_BUILD_TYPE       "Release"

#define ECCODES_C_COMPILER_ID      "GNU"
#define ECCODES_C_COMPILER_VERSION "13.2.0"

#define ECCODES_CXX_COMPILER_ID      "GNU"
#define ECCODES_CXX_COMPILER_VERSION "13.2.0"

#define ECCODES_C_COMPILER       "D:/a/msys64/ucrt64/bin/gcc.exe"
#define ECCODES_C_FLAGS          "-march=nocona -msahf -mtune=generic -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong -pipe -O3 -DNDEBUG"

#define ECCODES_CXX_COMPILER     "D:/a/msys64/ucrt64/bin/g++.exe"
#define ECCODES_CXX_FLAGS        "-march=nocona -msahf -mtune=generic -O2 -pipe -pipe -Wno-write-strings -Wno-deprecated -O3 -DNDEBUG"

/* Needed for finding per package config files */

#define ECCODES_INSTALL_DIR       "/ucrt64"
#define ECCODES_INSTALL_BIN_DIR   "/ucrt64/bin"
#define ECCODES_INSTALL_LIB_DIR   "/ucrt64/lib"
#define ECCODES_INSTALL_DATA_DIR  "/ucrt64/share/eccodes"

#define ECCODES_DEVELOPER_SRC_DIR "C:/M/B/src/eccodes-2.33.0-Source"
#define ECCODES_DEVELOPER_BIN_DIR "C:/M/B/src/build-UCRT64"

/* Fortran support */

#if 1

#define ECCODES_Fortran_COMPILER_ID      "GNU"
#define ECCODES_Fortran_COMPILER_VERSION "13.2.0"

#define ECCODES_Fortran_COMPILER "D:/a/msys64/ucrt64/bin/gfortran.exe"
#define ECCODES_Fortran_FLAGS    " -O3 -DNDEBUG -funroll-all-loops -finline-functions"

#endif

#endif /* ECCODES_ecbuild_config_h */
